Package org.eclipse.net4j.signal

# Class Request

java.lang.Object
org.eclipse.net4j.signal.Signal
org.eclipse.net4j.signal.SignalActor
org.eclipse.net4j.signal.Request

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `AcknowledgeCompressedStringsRequest`, `MonitorCanceledRequest`, `MonitorProgressRequest`

public abstract class Request extends SignalActor
Represents the sender side of a one-way `signal`, i.e., one with no response.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.signal.Signal

`NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`Request(SignalProtocol<?> protocol, short signalID)`
`Request(SignalProtocol<?> protocol, short id, String name)`
`Request(SignalProtocol<?> protocol, Enum<?> literal)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out)`
`void`
`sendAsync()`

### Methods inherited from class org.eclipse.net4j.signal.SignalActor

`execute`

### Methods inherited from class org.eclipse.net4j.signal.Signal

`closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, handleRunException, run, toString, toString, wrapInputStream, wrapOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Request

public Request(SignalProtocol<?> protocol, short id, String name)

Since:
  2.0

### Request

public Request(SignalProtocol<?> protocol, short signalID)

Since:
  2.0

### Request

public Request(SignalProtocol<?> protocol, Enum<?> literal)

Since:
  2.0

## Method Details

### sendAsync

public void sendAsync() throws Exception

Throws:
  `Exception`
Since:
  2.0

### requesting

protected abstract void requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out) throws Exception

Throws:
  `Exception`